function draw()
	local i = math.floor(GetTime())%4
    UiFont("bold.ttf", 132)
	if i== 0 then
		UiColor(.3,.3,.3)
		UiRect(UiWidth(), UiHeight())
        UiAlign("center middle")
		UiColor(0,0,0)
        UiPush()
            UiTranslate(UiCenter(),UiMiddle())
            UiText("loc@UI_TEXT_NO_CONNECTION,   ")
        UiPop()
	end
	if i== 1 then
		UiColor(0,0,0)
		UiRect(UiWidth(), UiHeight())
        UiAlign("center middle")
		UiColor(.3,.3,.3)
        UiPush()
            UiTranslate(UiCenter(),UiMiddle())
            UiText("loc@UI_TEXT_NO_CONNECTION,.  ")
        UiPop()
	end
	if i== 2 then
		UiColor(.3,.3,.3)
		UiRect(UiWidth(), UiHeight())
        UiAlign("center middle")
		UiColor(0,0,0)
        UiPush()
            UiTranslate(UiCenter(),UiMiddle())
            UiText("loc@UI_TEXT_NO_CONNECTION,.. ")
        UiPop()
	end
	if i== 3 then
		UiColor(0,0,0)
		UiRect(UiWidth(), UiHeight())
        UiAlign("center middle")
		UiColor(.3,.3,.3)
        UiPush()
            UiTranslate(UiCenter(),UiMiddle())
            UiText("loc@UI_TEXT_NO_CONNECTION,...")
        UiPop()
	end
end

